#include <iostream>
typedef long long ll;
using namespace std;


int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);   cout.tie(0);
    int n,m,x,y;
    cin >> n >> m;
    int a[n];
    for (int i=0; i<n; i++) cin >> a[i];
    ll sum = 0;
    for (int i=0; i<m; i++) {
        cin >> x >> y;
        x--;
        y--;
        sum+=abs(a[x]+a[y]);
    }

    cout << sum;
    return 0;
}